読者です 読者をやめる 読者になる 読者になる

くりにっき

ドリコムのプリキュアの人です

rubicureのこれまでとこれから

プリキュア AdventCalendar ポエム

これは プリキュア Advent Calendar 2016 - Adventar の16日目です。

www.adventar.org

12/16はキュアピースの中の人の金元寿子さんのお誕生日です。おめでとうございます!!!!

今回はこれまでのrubicureとこれからのrubicureについて書くポエムです

rubicureとは

プリキュアRuby実装です

github.com

最新情報は先日Qiitaに書いたのでこちらを御覧ください。

qiita.com

これまでのrubicure

リリースノート

この辺

https://github.com/sue445/rubicure/blob/master/CHANGELOG.md

rubicureのバージョニングポリシー

僕のgemはだいたいセマンティックバージョニングに則っています

セマンティック バージョニング 2.0.0 - Semantic Versioning

ただ、rubicureの場合若干変えていて、同一シリーズ内の場合は必ず +0.0.1し、シリーズが変わる時に +0.1するようにしています。

https://github.com/sue445/rubicure/blob/master/CHANGELOG.md

今まで割と曖昧なバージョニングをしていましたが、魔法つかいプリキュアで上記のバージョニングを思いついたので魔法つかいプリキュアは 0.4.x 系を保ち続けています

moongiftにとりあげられた

www.moongift.jp

正月に帰省先でファッ!?となった記憶があります。

周辺ツールとかができた

Rubyをインストールして gem install すればすぐに使えるというお手軽さから(推測)、周辺ツールがいろいろできています

github.com

igreque : Info -> ユナイトプリキュア!このあとVim! #cure_advent

これからのrubicure

rubicure v1.0.0

映画プリキュアがオールスターズからドリームスターズになるということは記憶に新しいと思います

www.precure-dreamstars.com

nlab.itmedia.co.jp

これを機にrubicureも1.0.0を考えています

今考えているのは主に

  • ドリームスターズ対応
  • 古いRuby(2.0系, 2.1系)の非サポート化
    • Travis CIでビルドしない(古いRubyでもインストールはできるけど動作は保証しない)だけにするか、required_ruby_versionを変更して古いRubyではインストールすらできなくするかまでは考えてない
    • 雑にやるなら前者でもいいと思うけど、2.1系でうまく動かないってってissueがきて対応するのも面倒なので個人的には後者でいい気もしている。(もうすぐ出るRuby 2.4から数えたら3世代以上前なので切り捨ててもバチは当たらないだろう)
  • deprecatedメソッドの削除

辺りです。

個人的にはactuvesupportも外したいところなのですが厳しそうな予感はしてる。。。

区切り的に次回作の「キラキラ☆プリキュアアラモード」でv1.0.0にしようと考えています

www.toei-anim.co.jp

最後に

これからもrubicureをよろしくお願いします m( )m